Easy Photo Editor – Major Aviary Update

Hey everyone,

Aviary just published a major update of their editor to version 2.0!

Unfortunately it is only compatible with Android 2.2+.

Therefore i have now uploaded the latest version of Easy Photo Editor with a version limit of 4-7 (Android 1.6 – Android 2.1) + one with a version limit of 8+ (Android 2.2+).

The 4-7 version will stay the same in the future and won’t receive updates anymore.

Updates to Easy Photo Editor will only be available for Android 2.2+ phones from now on.

Greets, Goddchen

Kommentar verfassen